import request from '@/utils/request'

export function GetAllPatients() {
  return request({
    url: '/api/his/patient',
    method: 'get'
  })
}

export function getHisSummaryDetailList(params) {
  return request({
    url: '/api/gethissummarydetaillist',
    method: 'get',
    params: params
  })
}

export function getGatherDetailList(params) {
  return request({
    url: '/api/his/getgatherdetailist',
    method: 'get',
    params: params
  })
}

export function GetDetailPatients(params) {
  return request({
    url: '/api/his/getdetailpatients',
    method: 'Get',
    params: params
  })
}

export function getHisOrderList(params) {
  return request({
    url: '/api/his/gethisorderlist',
    method: 'Get',
    params: params
  })
}

export function getHisAdviceOrderList(params) {
  return request({
    url: '/api/his/gethisadviceorderlist',
    method: 'get',
    params: params
  })
}
